Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openqa.selenium.server.htmlrunner
Class HTMLLauncher

    java.lang.Object
      org.openqa.selenium.server.htmlrunner.HTMLLauncher

All Implemented Interfaces:
  HTMLResultsListener

public class HTMLLauncher
extends java.lang.Object
implements HTMLResultsListener

Runs HTML Selenium test suites.

Author:
  dfabulich

Constructor Summary
`HTMLLauncher(SeleniumServer server)`

Method Summary
`void` | `processResults(HTMLTestResults resultsParm)` Accepts HTMLTestResults for later asynchronous handling
`java.lang.String` | `runHTMLSuite(java.lang.String browser, java.lang.String browserURL, java.lang.String HTMLSuite, java.io.File outputFile, long timeout)` Launches a single HTML Selenium test suite.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLLauncher

    public HTMLLauncher(SeleniumServer server)

Method Detail

### runHTMLSuite

    public java.lang.String runHTMLSuite(java.lang.String browser,
                                         java.lang.String browserURL,
                                         java.lang.String HTMLSuite,
                                         java.io.File outputFile,
                                         long timeout)
                                  throws java.io.IOException

  Launches a single HTML Selenium test suite.

  Parameters:
    `browser` - - the browserString ("*firefox", "*iexplore" or an executable path)
    `browserURL` - - the start URL for the browser
    `HTMLSuite` - - the relative URL to the HTML suite
    `outputFile` - - The file to which we'll output the HTML results
    `timeout` - - the amount of time to wait for the browser to finish
  Returns:
    PASS or FAIL
  Throws:
    `java.io.IOException` - if we can't write the output file

### processResults

    public void processResults(HTMLTestResults resultsParm)

  Accepts HTMLTestResults for later asynchronous handling

  Specified by:
    `processResults` in interface `HTMLResultsListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 null. All Rights Reserved.